
_interrupt:

;18F4550.c,5 :: 		void interrupt()
;18F4550.c,7 :: 		USB_Interrupt_Proc(); // La maintenance USB est effectue  l'intrieur de l'interruption
	CALL        _USB_Interrupt_Proc+0, 0
;18F4550.c,8 :: 		}
L__interrupt69:
	RETFIE      1
; end of _interrupt

_init:

;18F4550.c,10 :: 		void init()
;18F4550.c,12 :: 		CMCON = 0x07;
	MOVLW       7
	MOVWF       CMCON+0 
;18F4550.c,13 :: 		ADON_bit = 0; // On dsactive le convertisseur A/N
	BCF         ADON_bit+0, 0 
;18F4550.c,14 :: 		ADCON1 = 0xFFFF;  // On configure les broches en Digital
	MOVLW       255
	MOVWF       ADCON1+0 
;18F4550.c,16 :: 		TRISA = 0xC0;  // Broches RA0  RA5 en sorties et RA6 + RA7 en entres
	MOVLW       192
	MOVWF       TRISA+0 
;18F4550.c,17 :: 		PORTA = 0x00;
	CLRF        PORTA+0 
;18F4550.c,18 :: 		LATA = 0x00;
	CLRF        LATA+0 
;18F4550.c,20 :: 		TRISB = 0x00;  // Toutes les broches du PORTB sont configures comme sorties
	CLRF        TRISB+0 
;18F4550.c,21 :: 		PORTB = 0x00;
	CLRF        PORTB+0 
;18F4550.c,22 :: 		LATB = 0x00;
	CLRF        LATB+0 
;18F4550.c,24 :: 		TRISC = 0x00;  // Toutes les broches du PORTC sont configures comme sorties
	CLRF        TRISC+0 
;18F4550.c,25 :: 		PORTC = 0x00;
	CLRF        PORTC+0 
;18F4550.c,26 :: 		LATC = 0x00;
	CLRF        LATC+0 
;18F4550.c,28 :: 		TRISD = 0x00;  // Toutes les broches du PORTD sont configures comme sorties
	CLRF        TRISD+0 
;18F4550.c,29 :: 		PORTD = 0x00;
	CLRF        PORTD+0 
;18F4550.c,30 :: 		LATD = 0x00;
	CLRF        LATD+0 
;18F4550.c,32 :: 		HID_Enable(&readbuff,&writebuff); // Initalisation USB
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;18F4550.c,33 :: 		}
	RETURN      0
; end of _init

_Lecture_USB_PWM:

;18F4550.c,62 :: 		unsigned char readbuff26)
;18F4550.c,65 :: 		for(i = 0 ; i < 255 ; ++i)
	CLRF        _i+0 
	CLRF        _i+1 
L_Lecture_USB_PWM0:
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM70
	MOVLW       255
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM70:
	BTFSC       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM1
;18F4550.c,68 :: 		if (i >= readbuff0){ LATA0_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM71
	MOVF        FARG_Lecture_USB_PWM_readbuff0+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM71:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM3
	BCF         LATA0_bit+0, 0 
	GOTO        L_Lecture_USB_PWM4
L_Lecture_USB_PWM3:
;18F4550.c,69 :: 		else{ LATA0_bit = 1; }
	BSF         LATA0_bit+0, 0 
L_Lecture_USB_PWM4:
;18F4550.c,71 :: 		if (i >= readbuff1){ LATA1_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM72
	MOVF        FARG_Lecture_USB_PWM_readbuff1+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM72:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM5
	BCF         LATA1_bit+0, 1 
	GOTO        L_Lecture_USB_PWM6
L_Lecture_USB_PWM5:
;18F4550.c,72 :: 		else{ LATA1_bit = 1; }
	BSF         LATA1_bit+0, 1 
L_Lecture_USB_PWM6:
;18F4550.c,74 :: 		if (i >= readbuff2){ LATA2_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM73
	MOVF        FARG_Lecture_USB_PWM_readbuff2+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM73:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM7
	BCF         LATA2_bit+0, 2 
	GOTO        L_Lecture_USB_PWM8
L_Lecture_USB_PWM7:
;18F4550.c,75 :: 		else{ LATA2_bit = 1; }
	BSF         LATA2_bit+0, 2 
L_Lecture_USB_PWM8:
;18F4550.c,77 :: 		if (i >= readbuff3){ LATA3_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM74
	MOVF        FARG_Lecture_USB_PWM_readbuff3+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM74:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM9
	BCF         LATA3_bit+0, 3 
	GOTO        L_Lecture_USB_PWM10
L_Lecture_USB_PWM9:
;18F4550.c,78 :: 		else{ LATA3_bit = 1; }
	BSF         LATA3_bit+0, 3 
L_Lecture_USB_PWM10:
;18F4550.c,80 :: 		if (i >= readbuff4){ LATA4_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM75
	MOVF        FARG_Lecture_USB_PWM_readbuff4+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM75:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM11
	BCF         LATA4_bit+0, 4 
	GOTO        L_Lecture_USB_PWM12
L_Lecture_USB_PWM11:
;18F4550.c,81 :: 		else{ LATA4_bit = 1; }
	BSF         LATA4_bit+0, 4 
L_Lecture_USB_PWM12:
;18F4550.c,83 :: 		if (i >= readbuff5){ LATA5_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM76
	MOVF        FARG_Lecture_USB_PWM_readbuff5+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM76:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM13
	BCF         LATA5_bit+0, 5 
	GOTO        L_Lecture_USB_PWM14
L_Lecture_USB_PWM13:
;18F4550.c,84 :: 		else{ LATA5_bit = 1; }
	BSF         LATA5_bit+0, 5 
L_Lecture_USB_PWM14:
;18F4550.c,87 :: 		if (i >= readbuff6){ LATB0_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM77
	MOVF        FARG_Lecture_USB_PWM_readbuff6+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM77:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM15
	BCF         LATB0_bit+0, 0 
	GOTO        L_Lecture_USB_PWM16
L_Lecture_USB_PWM15:
;18F4550.c,88 :: 		else{ LATB0_bit = 1; }
	BSF         LATB0_bit+0, 0 
L_Lecture_USB_PWM16:
;18F4550.c,90 :: 		if (i >= readbuff7){ LATB1_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM78
	MOVF        FARG_Lecture_USB_PWM_readbuff7+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM78:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM17
	BCF         LATB1_bit+0, 1 
	GOTO        L_Lecture_USB_PWM18
L_Lecture_USB_PWM17:
;18F4550.c,91 :: 		else{ LATB1_bit = 1; }
	BSF         LATB1_bit+0, 1 
L_Lecture_USB_PWM18:
;18F4550.c,93 :: 		if (i >= readbuff8){ LATB2_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM79
	MOVF        FARG_Lecture_USB_PWM_readbuff8+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM79:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM19
	BCF         LATB2_bit+0, 2 
	GOTO        L_Lecture_USB_PWM20
L_Lecture_USB_PWM19:
;18F4550.c,94 :: 		else{ LATB2_bit = 1; }
	BSF         LATB2_bit+0, 2 
L_Lecture_USB_PWM20:
;18F4550.c,96 :: 		if (i >= readbuff9){ LATB3_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM80
	MOVF        FARG_Lecture_USB_PWM_readbuff9+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM80:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM21
	BCF         LATB3_bit+0, 3 
	GOTO        L_Lecture_USB_PWM22
L_Lecture_USB_PWM21:
;18F4550.c,97 :: 		else{ LATB3_bit = 1; }
	BSF         LATB3_bit+0, 3 
L_Lecture_USB_PWM22:
;18F4550.c,99 :: 		if (i >= readbuff10){ LATB4_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM81
	MOVF        FARG_Lecture_USB_PWM_readbuff10+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM81:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM23
	BCF         LATB4_bit+0, 4 
	GOTO        L_Lecture_USB_PWM24
L_Lecture_USB_PWM23:
;18F4550.c,100 :: 		else{ LATB4_bit = 1; }
	BSF         LATB4_bit+0, 4 
L_Lecture_USB_PWM24:
;18F4550.c,102 :: 		if (i >= readbuff11){ LATB5_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM82
	MOVF        FARG_Lecture_USB_PWM_readbuff11+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM82:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM25
	BCF         LATB5_bit+0, 5 
	GOTO        L_Lecture_USB_PWM26
L_Lecture_USB_PWM25:
;18F4550.c,103 :: 		else{ LATB5_bit = 1; }
	BSF         LATB5_bit+0, 5 
L_Lecture_USB_PWM26:
;18F4550.c,105 :: 		if (i >= readbuff12){ LATB6_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM83
	MOVF        FARG_Lecture_USB_PWM_readbuff12+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM83:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM27
	BCF         LATB6_bit+0, 6 
	GOTO        L_Lecture_USB_PWM28
L_Lecture_USB_PWM27:
;18F4550.c,106 :: 		else{ LATB6_bit = 1; }
	BSF         LATB6_bit+0, 6 
L_Lecture_USB_PWM28:
;18F4550.c,108 :: 		if (i >= readbuff13){ LATB7_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM84
	MOVF        FARG_Lecture_USB_PWM_readbuff13+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM84:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM29
	BCF         LATB7_bit+0, 7 
	GOTO        L_Lecture_USB_PWM30
L_Lecture_USB_PWM29:
;18F4550.c,109 :: 		else{ LATB7_bit = 1; }
	BSF         LATB7_bit+0, 7 
L_Lecture_USB_PWM30:
;18F4550.c,113 :: 		if (i >= readbuff14){ LATC0_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM85
	MOVF        FARG_Lecture_USB_PWM_readbuff14+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM85:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM31
	BCF         LATC0_bit+0, 0 
	GOTO        L_Lecture_USB_PWM32
L_Lecture_USB_PWM31:
;18F4550.c,114 :: 		else{ LATC0_bit = 1; }
	BSF         LATC0_bit+0, 0 
L_Lecture_USB_PWM32:
;18F4550.c,116 :: 		if (i >= readbuff15){ LATC1_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM86
	MOVF        FARG_Lecture_USB_PWM_readbuff15+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM86:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM33
	BCF         LATC1_bit+0, 1 
	GOTO        L_Lecture_USB_PWM34
L_Lecture_USB_PWM33:
;18F4550.c,117 :: 		else{ LATC1_bit = 1; }
	BSF         LATC1_bit+0, 1 
L_Lecture_USB_PWM34:
;18F4550.c,119 :: 		if (i >= readbuff16){ LATC2_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM87
	MOVF        FARG_Lecture_USB_PWM_readbuff16+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM87:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM35
	BCF         LATC2_bit+0, 2 
	GOTO        L_Lecture_USB_PWM36
L_Lecture_USB_PWM35:
;18F4550.c,120 :: 		else{ LATC2_bit = 1; }
	BSF         LATC2_bit+0, 2 
L_Lecture_USB_PWM36:
;18F4550.c,122 :: 		if (i >= readbuff17){ LATC6_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM88
	MOVF        FARG_Lecture_USB_PWM_readbuff17+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM88:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM37
	BCF         LATC6_bit+0, 6 
	GOTO        L_Lecture_USB_PWM38
L_Lecture_USB_PWM37:
;18F4550.c,123 :: 		else{ LATC6_bit = 1; }
	BSF         LATC6_bit+0, 6 
L_Lecture_USB_PWM38:
;18F4550.c,125 :: 		if (i >= readbuff18){ LATC7_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM89
	MOVF        FARG_Lecture_USB_PWM_readbuff18+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM89:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM39
	BCF         LATC7_bit+0, 7 
	GOTO        L_Lecture_USB_PWM40
L_Lecture_USB_PWM39:
;18F4550.c,126 :: 		else{ LATC7_bit = 1; }
	BSF         LATC7_bit+0, 7 
L_Lecture_USB_PWM40:
;18F4550.c,130 :: 		if (i >= readbuff19){ LATD0_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM90
	MOVF        FARG_Lecture_USB_PWM_readbuff19+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM90:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM41
	BCF         LATD0_bit+0, 0 
	GOTO        L_Lecture_USB_PWM42
L_Lecture_USB_PWM41:
;18F4550.c,131 :: 		else{ LATD0_bit = 1; }
	BSF         LATD0_bit+0, 0 
L_Lecture_USB_PWM42:
;18F4550.c,133 :: 		if (i >= readbuff20){ LATD1_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM91
	MOVF        FARG_Lecture_USB_PWM_readbuff20+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM91:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM43
	BCF         LATD1_bit+0, 1 
	GOTO        L_Lecture_USB_PWM44
L_Lecture_USB_PWM43:
;18F4550.c,134 :: 		else{ LATD1_bit = 1; }
	BSF         LATD1_bit+0, 1 
L_Lecture_USB_PWM44:
;18F4550.c,136 :: 		if (i >= readbuff21){ LATD2_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM92
	MOVF        FARG_Lecture_USB_PWM_readbuff21+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM92:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM45
	BCF         LATD2_bit+0, 2 
	GOTO        L_Lecture_USB_PWM46
L_Lecture_USB_PWM45:
;18F4550.c,137 :: 		else{ LATD2_bit = 1; }
	BSF         LATD2_bit+0, 2 
L_Lecture_USB_PWM46:
;18F4550.c,139 :: 		if (i >= readbuff22){ LATD3_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM93
	MOVF        FARG_Lecture_USB_PWM_readbuff22+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM93:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM47
	BCF         LATD3_bit+0, 3 
	GOTO        L_Lecture_USB_PWM48
L_Lecture_USB_PWM47:
;18F4550.c,140 :: 		else{ LATD3_bit = 1; }
	BSF         LATD3_bit+0, 3 
L_Lecture_USB_PWM48:
;18F4550.c,142 :: 		if (i >= readbuff23){ LATD4_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM94
	MOVF        FARG_Lecture_USB_PWM_readbuff23+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM94:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM49
	BCF         LATD4_bit+0, 4 
	GOTO        L_Lecture_USB_PWM50
L_Lecture_USB_PWM49:
;18F4550.c,143 :: 		else{ LATD4_bit = 1; }
	BSF         LATD4_bit+0, 4 
L_Lecture_USB_PWM50:
;18F4550.c,145 :: 		if (i >= readbuff24){ LATD5_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM95
	MOVF        FARG_Lecture_USB_PWM_readbuff24+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM95:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM51
	BCF         LATD5_bit+0, 5 
	GOTO        L_Lecture_USB_PWM52
L_Lecture_USB_PWM51:
;18F4550.c,146 :: 		else{ LATD5_bit = 1; }
	BSF         LATD5_bit+0, 5 
L_Lecture_USB_PWM52:
;18F4550.c,148 :: 		if (i >= readbuff25){ LATD6_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM96
	MOVF        FARG_Lecture_USB_PWM_readbuff25+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM96:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM53
	BCF         LATD6_bit+0, 6 
	GOTO        L_Lecture_USB_PWM54
L_Lecture_USB_PWM53:
;18F4550.c,149 :: 		else{ LATD6_bit = 1; }
	BSF         LATD6_bit+0, 6 
L_Lecture_USB_PWM54:
;18F4550.c,151 :: 		if (i >= readbuff26){ LATD7_bit = 0; }
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_USB_PWM97
	MOVF        FARG_Lecture_USB_PWM_readbuff26+0, 0 
	SUBWF       _i+0, 0 
L__Lecture_USB_PWM97:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_USB_PWM55
	BCF         LATD7_bit+0, 7 
	GOTO        L_Lecture_USB_PWM56
L_Lecture_USB_PWM55:
;18F4550.c,152 :: 		else{ LATD7_bit = 1; }
	BSF         LATD7_bit+0, 7 
L_Lecture_USB_PWM56:
;18F4550.c,65 :: 		for(i = 0 ; i < 255 ; ++i)
	INFSNZ      _i+0, 1 
	INCF        _i+1, 1 
;18F4550.c,153 :: 		}
	GOTO        L_Lecture_USB_PWM0
L_Lecture_USB_PWM1:
;18F4550.c,154 :: 		}
	RETURN      0
; end of _Lecture_USB_PWM

_Lecture_Master:

;18F4550.c,156 :: 		void Lecture_Master(unsigned char readbuff27)
;18F4550.c,158 :: 		for(j = 0 ; j < 255 ; ++j)
	CLRF        _j+0 
	CLRF        _j+1 
L_Lecture_Master57:
	MOVLW       128
	XORWF       _j+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_Master98
	MOVLW       255
	SUBWF       _j+0, 0 
L__Lecture_Master98:
	BTFSC       STATUS+0, 0 
	GOTO        L_Lecture_Master58
;18F4550.c,160 :: 		if (j >= readbuff27)
	MOVLW       128
	XORWF       _j+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Lecture_Master99
	MOVF        FARG_Lecture_Master_readbuff27+0, 0 
	SUBWF       _j+0, 0 
L__Lecture_Master99:
	BTFSS       STATUS+0, 0 
	GOTO        L_Lecture_Master60
;18F4550.c,162 :: 		LATA0_bit = 0;
	BCF         LATA0_bit+0, 0 
;18F4550.c,163 :: 		LATA1_bit = 0;
	BCF         LATA1_bit+0, 1 
;18F4550.c,164 :: 		LATA2_bit = 0;
	BCF         LATA2_bit+0, 2 
;18F4550.c,165 :: 		LATA3_bit = 0;
	BCF         LATA3_bit+0, 3 
;18F4550.c,166 :: 		LATA4_bit = 0;
	BCF         LATA4_bit+0, 4 
;18F4550.c,167 :: 		LATA5_bit = 0;
	BCF         LATA5_bit+0, 5 
;18F4550.c,169 :: 		LATB0_bit = 0;
	BCF         LATB0_bit+0, 0 
;18F4550.c,170 :: 		LATB1_bit = 0;
	BCF         LATB1_bit+0, 1 
;18F4550.c,171 :: 		LATB2_bit = 0;
	BCF         LATB2_bit+0, 2 
;18F4550.c,172 :: 		LATB3_bit = 0;
	BCF         LATB3_bit+0, 3 
;18F4550.c,173 :: 		LATB4_bit = 0;
	BCF         LATB4_bit+0, 4 
;18F4550.c,174 :: 		LATB5_bit = 0;
	BCF         LATB5_bit+0, 5 
;18F4550.c,175 :: 		LATB6_bit = 0;
	BCF         LATB6_bit+0, 6 
;18F4550.c,176 :: 		LATB7_bit = 0;
	BCF         LATB7_bit+0, 7 
;18F4550.c,178 :: 		LATC0_bit = 0;
	BCF         LATC0_bit+0, 0 
;18F4550.c,179 :: 		LATC1_bit = 0;
	BCF         LATC1_bit+0, 1 
;18F4550.c,180 :: 		LATC2_bit = 0;
	BCF         LATC2_bit+0, 2 
;18F4550.c,181 :: 		LATC6_bit = 0;
	BCF         LATC6_bit+0, 6 
;18F4550.c,182 :: 		LATC7_bit = 0;
	BCF         LATC7_bit+0, 7 
;18F4550.c,184 :: 		LATD0_bit = 0;
	BCF         LATD0_bit+0, 0 
;18F4550.c,185 :: 		LATD1_bit = 0;
	BCF         LATD1_bit+0, 1 
;18F4550.c,186 :: 		LATD2_bit = 0;
	BCF         LATD2_bit+0, 2 
;18F4550.c,187 :: 		LATD3_bit = 0;
	BCF         LATD3_bit+0, 3 
;18F4550.c,188 :: 		LATD4_bit = 0;
	BCF         LATD4_bit+0, 4 
;18F4550.c,189 :: 		LATD5_bit = 0;
	BCF         LATD5_bit+0, 5 
;18F4550.c,190 :: 		LATD6_bit = 0;
	BCF         LATD6_bit+0, 6 
;18F4550.c,191 :: 		LATD7_bit = 0;
	BCF         LATD7_bit+0, 7 
;18F4550.c,192 :: 		}
	GOTO        L_Lecture_Master61
L_Lecture_Master60:
;18F4550.c,195 :: 		LATA0_bit = 1;
	BSF         LATA0_bit+0, 0 
;18F4550.c,196 :: 		LATA1_bit = 1;
	BSF         LATA1_bit+0, 1 
;18F4550.c,197 :: 		LATA2_bit = 1;
	BSF         LATA2_bit+0, 2 
;18F4550.c,198 :: 		LATA3_bit = 1;
	BSF         LATA3_bit+0, 3 
;18F4550.c,199 :: 		LATA4_bit = 1;
	BSF         LATA4_bit+0, 4 
;18F4550.c,200 :: 		LATA5_bit = 1;
	BSF         LATA5_bit+0, 5 
;18F4550.c,202 :: 		LATB0_bit = 1;
	BSF         LATB0_bit+0, 0 
;18F4550.c,203 :: 		LATB1_bit = 1;
	BSF         LATB1_bit+0, 1 
;18F4550.c,204 :: 		LATB2_bit = 1;
	BSF         LATB2_bit+0, 2 
;18F4550.c,205 :: 		LATB3_bit = 1;
	BSF         LATB3_bit+0, 3 
;18F4550.c,206 :: 		LATB4_bit = 1;
	BSF         LATB4_bit+0, 4 
;18F4550.c,207 :: 		LATB5_bit = 1;
	BSF         LATB5_bit+0, 5 
;18F4550.c,208 :: 		LATB6_bit = 1;
	BSF         LATB6_bit+0, 6 
;18F4550.c,209 :: 		LATB7_bit = 1;
	BSF         LATB7_bit+0, 7 
;18F4550.c,211 :: 		LATC0_bit = 1;
	BSF         LATC0_bit+0, 0 
;18F4550.c,212 :: 		LATC1_bit = 1;
	BSF         LATC1_bit+0, 1 
;18F4550.c,213 :: 		LATC2_bit = 1;
	BSF         LATC2_bit+0, 2 
;18F4550.c,214 :: 		LATC6_bit = 1;
	BSF         LATC6_bit+0, 6 
;18F4550.c,215 :: 		LATC7_bit = 1;
	BSF         LATC7_bit+0, 7 
;18F4550.c,217 :: 		LATD0_bit = 1;
	BSF         LATD0_bit+0, 0 
;18F4550.c,218 :: 		LATD1_bit = 1;
	BSF         LATD1_bit+0, 1 
;18F4550.c,219 :: 		LATD2_bit = 1;
	BSF         LATD2_bit+0, 2 
;18F4550.c,220 :: 		LATD3_bit = 1;
	BSF         LATD3_bit+0, 3 
;18F4550.c,221 :: 		LATD4_bit = 1;
	BSF         LATD4_bit+0, 4 
;18F4550.c,222 :: 		LATD5_bit = 1;
	BSF         LATD5_bit+0, 5 
;18F4550.c,223 :: 		LATD6_bit = 1;
	BSF         LATD6_bit+0, 6 
;18F4550.c,224 :: 		LATD7_bit = 1;
	BSF         LATD7_bit+0, 7 
;18F4550.c,225 :: 		}
L_Lecture_Master61:
;18F4550.c,158 :: 		for(j = 0 ; j < 255 ; ++j)
	INFSNZ      _j+0, 1 
	INCF        _j+1, 1 
;18F4550.c,226 :: 		}
	GOTO        L_Lecture_Master57
L_Lecture_Master58:
;18F4550.c,227 :: 		}
	RETURN      0
; end of _Lecture_Master

_main:

;18F4550.c,229 :: 		void main()
;18F4550.c,231 :: 		init(); // Initialisation du PIC 18F4550
	CALL        _init+0, 0
;18F4550.c,232 :: 		Lecture_USB_PWM(0, 0, 0, 0, 0, 0,
	CLRF        FARG_Lecture_USB_PWM_readbuff0+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff1+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff2+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff3+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff4+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff5+0 
;18F4550.c,233 :: 		0, 0, 0, 0, 0, 0, 0, 0,
	CLRF        FARG_Lecture_USB_PWM_readbuff6+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff7+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff8+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff9+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff10+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff11+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff12+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff13+0 
;18F4550.c,234 :: 		0, 0, 0, 0, 0,
	CLRF        FARG_Lecture_USB_PWM_readbuff14+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff15+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff16+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff17+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff18+0 
;18F4550.c,235 :: 		0, 0, 0, 0, 0, 0, 0, 0);
	CLRF        FARG_Lecture_USB_PWM_readbuff19+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff20+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff21+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff22+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff23+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff24+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff25+0 
	CLRF        FARG_Lecture_USB_PWM_readbuff26+0 
	CALL        _Lecture_USB_PWM+0, 0
;18F4550.c,237 :: 		while(1)
L_main62:
;18F4550.c,244 :: 		if(!HID_Read())
	CALL        _HID_Read+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main64
;18F4550.c,246 :: 		if (readbuff[27] != 0x00)
	MOVF        1307, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main65
;18F4550.c,248 :: 		Lecture_Master(readbuff[27]);
	MOVF        1307, 0 
	MOVWF       FARG_Lecture_Master_readbuff27+0 
	CALL        _Lecture_Master+0, 0
;18F4550.c,249 :: 		}
	GOTO        L_main66
L_main65:
;18F4550.c,252 :: 		Lecture_USB_PWM(readbuff[0],
	MOVF        1280, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff0+0 
;18F4550.c,253 :: 		readbuff[1],
	MOVF        1281, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff1+0 
;18F4550.c,254 :: 		readbuff[2],
	MOVF        1282, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff2+0 
;18F4550.c,255 :: 		readbuff[3],
	MOVF        1283, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff3+0 
;18F4550.c,256 :: 		readbuff[4],
	MOVF        1284, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff4+0 
;18F4550.c,257 :: 		readbuff[5],
	MOVF        1285, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff5+0 
;18F4550.c,258 :: 		readbuff[6],
	MOVF        1286, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff6+0 
;18F4550.c,259 :: 		readbuff[7],
	MOVF        1287, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff7+0 
;18F4550.c,260 :: 		readbuff[8],
	MOVF        1288, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff8+0 
;18F4550.c,261 :: 		readbuff[9],
	MOVF        1289, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff9+0 
;18F4550.c,262 :: 		readbuff[10],
	MOVF        1290, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff10+0 
;18F4550.c,263 :: 		readbuff[11],
	MOVF        1291, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff11+0 
;18F4550.c,264 :: 		readbuff[12],
	MOVF        1292, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff12+0 
;18F4550.c,265 :: 		readbuff[13],
	MOVF        1293, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff13+0 
;18F4550.c,266 :: 		readbuff[14],
	MOVF        1294, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff14+0 
;18F4550.c,267 :: 		readbuff[15],
	MOVF        1295, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff15+0 
;18F4550.c,268 :: 		readbuff[16],
	MOVF        1296, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff16+0 
;18F4550.c,269 :: 		readbuff[17],
	MOVF        1297, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff17+0 
;18F4550.c,270 :: 		readbuff[18],
	MOVF        1298, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff18+0 
;18F4550.c,271 :: 		readbuff[19],
	MOVF        1299, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff19+0 
;18F4550.c,272 :: 		readbuff[20],
	MOVF        1300, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff20+0 
;18F4550.c,273 :: 		readbuff[21],
	MOVF        1301, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff21+0 
;18F4550.c,274 :: 		readbuff[22],
	MOVF        1302, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff22+0 
;18F4550.c,275 :: 		readbuff[23],
	MOVF        1303, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff23+0 
;18F4550.c,276 :: 		readbuff[24],
	MOVF        1304, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff24+0 
;18F4550.c,277 :: 		readbuff[25],
	MOVF        1305, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff25+0 
;18F4550.c,278 :: 		readbuff[26]);
	MOVF        1306, 0 
	MOVWF       FARG_Lecture_USB_PWM_readbuff26+0 
	CALL        _Lecture_USB_PWM+0, 0
;18F4550.c,279 :: 		}
L_main66:
;18F4550.c,282 :: 		};
L_main64:
;18F4550.c,285 :: 		while(!HID_Write(&writebuff,64));
L_main67:
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main68
	GOTO        L_main67
L_main68:
;18F4550.c,286 :: 		}
	GOTO        L_main62
;18F4550.c,287 :: 		}
	GOTO        $+0
; end of _main
