unsigned char readbuff[64] absolute 0x500;   // Les tampons doivent tre dans la RAM USB
unsigned char writebuff[64] absolute 0x540;
int i, j;

void interrupt()
{
   USB_Interrupt_Proc(); // La maintenance USB est effectue  l'intrieur de l'interruption
}

void init()
{
  CMCON = 0x07;
  ADON_bit = 0; // On dsactive le convertisseur A/N
  ADCON1 = 0xFFFF;  // On configure les broches en Digital
  
  TRISA = 0xC0;  // Broches RA0  RA5 en sorties et RA6 + RA7 en entres
  PORTA = 0x00;
  LATA = 0x00;
  
  TRISB = 0x00;  // Toutes les broches du PORTB sont configures comme sorties
  PORTB = 0x00;
  LATB = 0x00;
  
  TRISC = 0x00;  // Toutes les broches du PORTC sont configures comme sorties
  PORTC = 0x00;
  LATC = 0x00;

  TRISD = 0x00;  // Toutes les broches du PORTD sont configures comme sorties
  PORTD = 0x00;
  LATD = 0x00;

  HID_Enable(&readbuff,&writebuff); // Initalisation USB
}


void Lecture_USB_PWM(unsigned char readbuff0,
                     unsigned char readbuff1,
                     unsigned char readbuff2,
                     unsigned char readbuff3,
                     unsigned char readbuff4,
                     unsigned char readbuff5,
                     unsigned char readbuff6,
                     unsigned char readbuff7,
                     unsigned char readbuff8,
                     unsigned char readbuff9,
                     unsigned char readbuff10,
                     unsigned char readbuff11,
                     unsigned char readbuff12,
                     unsigned char readbuff13,
                     unsigned char readbuff14,
                     unsigned char readbuff15,
                     unsigned char readbuff16,
                     unsigned char readbuff17,
                     unsigned char readbuff18,
                     unsigned char readbuff19,
                     unsigned char readbuff20,
                     unsigned char readbuff21,
                     unsigned char readbuff22,
                     unsigned char readbuff23,
                     unsigned char readbuff24,
                     unsigned char readbuff25,
                     unsigned char readbuff26)
{

  for(i = 0 ; i < 255 ; ++i)
  {
    // PORTA
    if (i >= readbuff0){ LATA0_bit = 0; }
    else{ LATA0_bit = 1; }
    
    if (i >= readbuff1){ LATA1_bit = 0; }
    else{ LATA1_bit = 1; }
    
    if (i >= readbuff2){ LATA2_bit = 0; }
    else{ LATA2_bit = 1; }
    
    if (i >= readbuff3){ LATA3_bit = 0; }
    else{ LATA3_bit = 1; }
    
    if (i >= readbuff4){ LATA4_bit = 0; }
    else{ LATA4_bit = 1; }
    
    if (i >= readbuff5){ LATA5_bit = 0; }
    else{ LATA5_bit = 1; }
    
    // PORTB
    if (i >= readbuff6){ LATB0_bit = 0; }
    else{ LATB0_bit = 1; }

    if (i >= readbuff7){ LATB1_bit = 0; }
    else{ LATB1_bit = 1; }

    if (i >= readbuff8){ LATB2_bit = 0; }
    else{ LATB2_bit = 1; }

    if (i >= readbuff9){ LATB3_bit = 0; }
    else{ LATB3_bit = 1; }

    if (i >= readbuff10){ LATB4_bit = 0; }
    else{ LATB4_bit = 1; }

    if (i >= readbuff11){ LATB5_bit = 0; }
    else{ LATB5_bit = 1; }

    if (i >= readbuff12){ LATB6_bit = 0; }
    else{ LATB6_bit = 1; }

    if (i >= readbuff13){ LATB7_bit = 0; }
    else{ LATB7_bit = 1; }


    // PORTC
    if (i >= readbuff14){ LATC0_bit = 0; }
    else{ LATC0_bit = 1; }

    if (i >= readbuff15){ LATC1_bit = 0; }
    else{ LATC1_bit = 1; }

    if (i >= readbuff16){ LATC2_bit = 0; }
    else{ LATC2_bit = 1; }

    if (i >= readbuff17){ LATC6_bit = 0; }
    else{ LATC6_bit = 1; }

    if (i >= readbuff18){ LATC7_bit = 0; }
    else{ LATC7_bit = 1; }
    
    
    // PORTD
    if (i >= readbuff19){ LATD0_bit = 0; }
    else{ LATD0_bit = 1; }

    if (i >= readbuff20){ LATD1_bit = 0; }
    else{ LATD1_bit = 1; }

    if (i >= readbuff21){ LATD2_bit = 0; }
    else{ LATD2_bit = 1; }

    if (i >= readbuff22){ LATD3_bit = 0; }
    else{ LATD3_bit = 1; }

    if (i >= readbuff23){ LATD4_bit = 0; }
    else{ LATD4_bit = 1; }

    if (i >= readbuff24){ LATD5_bit = 0; }
    else{ LATD5_bit = 1; }

    if (i >= readbuff25){ LATD6_bit = 0; }
    else{ LATD6_bit = 1; }

    if (i >= readbuff26){ LATD7_bit = 0; }
    else{ LATD7_bit = 1; }
  }
}

void Lecture_Master(unsigned char readbuff27)
{
  for(j = 0 ; j < 255 ; ++j)
  {
    if (j >= readbuff27)
    { 
      LATA0_bit = 0;
      LATA1_bit = 0;
      LATA2_bit = 0;
      LATA3_bit = 0;
      LATA4_bit = 0;
      LATA5_bit = 0;
      
      LATB0_bit = 0;
      LATB1_bit = 0;
      LATB2_bit = 0;
      LATB3_bit = 0;
      LATB4_bit = 0;
      LATB5_bit = 0;
      LATB6_bit = 0;
      LATB7_bit = 0;
      
      LATC0_bit = 0;
      LATC1_bit = 0;
      LATC2_bit = 0;
      LATC6_bit = 0;
      LATC7_bit = 0;
      
      LATD0_bit = 0;
      LATD1_bit = 0;
      LATD2_bit = 0;
      LATD3_bit = 0;
      LATD4_bit = 0;
      LATD5_bit = 0;
      LATD6_bit = 0;
      LATD7_bit = 0;
    }
    else
    { 
      LATA0_bit = 1;
      LATA1_bit = 1;
      LATA2_bit = 1;
      LATA3_bit = 1;
      LATA4_bit = 1;
      LATA5_bit = 1;
      
      LATB0_bit = 1;
      LATB1_bit = 1;
      LATB2_bit = 1;
      LATB3_bit = 1;
      LATB4_bit = 1;
      LATB5_bit = 1;
      LATB6_bit = 1;
      LATB7_bit = 1;

      LATC0_bit = 1;
      LATC1_bit = 1;
      LATC2_bit = 1;
      LATC6_bit = 1;
      LATC7_bit = 1;

      LATD0_bit = 1;
      LATD1_bit = 1;
      LATD2_bit = 1;
      LATD3_bit = 1;
      LATD4_bit = 1;
      LATD5_bit = 1;
      LATD6_bit = 1;
      LATD7_bit = 1;
    }
  }
}

void main()
{
   init(); // Initialisation du PIC 18F4550
   Lecture_USB_PWM(0, 0, 0, 0, 0, 0,
                   0, 0, 0, 0, 0, 0, 0, 0,
                   0, 0, 0, 0, 0,
                   0, 0, 0, 0, 0, 0, 0, 0);

  while(1)  
  {

    //==============================================
    //    LECTURE DES DONNEES  PC -> PIC
    // [0] .. [15] permet la lecture dans le buffer
    //==============================================
    if(!HID_Read())
    {
       if (readbuff[27] != 0x00)
       {
          Lecture_Master(readbuff[27]);
       }
       else
       {   
         Lecture_USB_PWM(readbuff[0],
                         readbuff[1],
                         readbuff[2],
                         readbuff[3],
                         readbuff[4],
                         readbuff[5],
                         readbuff[6],
                         readbuff[7],
                         readbuff[8],
                         readbuff[9],
                         readbuff[10],
                         readbuff[11],
                         readbuff[12],
                         readbuff[13],
                         readbuff[14],
                         readbuff[15],
                         readbuff[16],
                         readbuff[17],
                         readbuff[18],
                         readbuff[19],
                         readbuff[20],
                         readbuff[21],
                         readbuff[22],
                         readbuff[23],
                         readbuff[24],
                         readbuff[25],
                         readbuff[26]);
       }


    };

     // Envoies des donnes sur BUS USB
     while(!HID_Write(&writebuff,64));
  }
}